local t = Def.ActorFrame{
	
	Def.Quad{
		BeginCommand=cmd(FullScreen);
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;diffuse,color("0,0,0,1");linear,1;diffuse,color("0,0,0,0"););
	};

	LoadActor("Regular_LifeFrame")..{
		Condition=GAMESTATE:GetPlayMode() == 'PlayMode_Regular';
	};

	LoadActor("Rave_LifeFrame")..{
		Condition=GAMESTATE:GetPlayMode() == 'PlayMode_Rave';
	};

	LoadActor("Extra_LifeFrame")..{
		Condition=GAMESTATE:IsExtraStage();
	};

	LoadActor("Special_LifeFrame")..{
		Condition=GAMESTATE:IsExtraStage2();
	};

	LoadActor("Nonstop_LifeFrame")..{
		Condition=GAMESTATE:GetPlayMode() == 'PlayMode_Nonstop';
	};

	LoadActor("Challenge_LifeFrame")..{
		Condition=GAMESTATE:GetPlayMode() == 'PlayMode_Oni';
	};

	LoadActor("Endless_LifeFrame")..{
		Condition=GAMESTATE:GetPlayMode() == 'PlayMode_Endless';
	};

--ramp
	Def.ActorFrame{
		LoadActor("lifeframe_ramp")..{
			Condition=GAMESTATE:IsHumanPlayer(PLAYER_1) and not GAMESTATE:IsDemonstration();
			InitCommand=cmd(diffuse,color("1,0,0,0.5");horizalign,left;x,SCREEN_LEFT-2/2;y,SCREEN_TOP+66/2);
			OnCommand=cmd(diffusealpha,0;sleep,0.8;linear,0.2;diffusealpha,1;queuecommand,"Repeat";);
			RepeatCommand=cmd(diffuse,color("1,0,0,0.5");linear,0.5;diffuse,color("0,1,0.7,1,1");linear,4.5;diffuse,color("1,0,0,0.5");queuecommand,"Repeat";);
		};

		LoadActor("lifeframe_ramp")..{
			Condition=GAMESTATE:IsHumanPlayer(PLAYER_2) and not GAMESTATE:IsDemonstration();
			InitCommand=cmd(diffuse,color("1,0,0,0.5");horizalign,left;zoomx,-1;x,SCREEN_RIGHT+2/2;y,SCREEN_TOP+66/2);
			OnCommand=cmd(diffusealpha,0;sleep,0.8;linear,0.2;diffusealpha,1;queuecommand,"Repeat";);
			RepeatCommand=cmd(diffuse,color("1,0,0,0.5");linear,0.5;diffuse,color("0.4,0.7,1,1");linear,4.5;diffuse,color("1,0,0,0.5,1");queuecommand,"Repeat";);
		};
	};
};
return t;
